#### representative BayesModels analysis

source("mult.spec.BayesModelS_v24.R")

library(ape)
library(geiger)
library(caper)

treeDataAll = read.nexus("tree block.txt") #needs to be tree block; for analysis w/ hominin data, make block of 2 identical fossil trees

data = read.csv("brain.data.csv", header=T)


factorName = c()
pathO = "./"
colnames(data)

#####
formula = "Log.ECV ~  Log.Body.Mass.female"
#####


i<-1 #index species to analyze

species=data[i,1]  
missingList = (paste(species,"",sep=""))

bmselection = blm(formula, data, treeDataAll, factorName = factorName, missingList = missingList, currentValue = 0, nposterior = 1000000, burnin = 200000, thin = 1, varSelection = "random", lambdaValue = NA, kappaValue = NA, path = pathO)
predict(bmselection, missingList, path = pathO)



